// DlgODBC.h : header file
//

#if !defined(AFX_DLGODBC_H)
#define AFX_DLGODBC_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "odbcgio.h" // For my ODBC classes


/////////////////////////////////////////////////////////////////////////////
// CTryODBCDlg dialog

class CTryODBCDlg : public CDialog
{
	ODBCConnection m_Connection;

// Construction
public:
	CTryODBCDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTryODBCDlg)
	enum { IDD = IDD_TRYODBC_DIALOG };
	CListCtrl	m_List;
	int		m_IntegerField;
	float	m_FloatField;
	CString	m_CharField;
	CTime	m_TimeField;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTryODBCDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTryODBCDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnTryInsert();
	afx_msg void OnTrySelect();
	afx_msg void OnTrySelect2();
	afx_msg void OnTryDelete();
	afx_msg void OnTryUpdate();
	afx_msg void OnConnect();
	afx_msg void OnDisconnect();
	afx_msg void OnTryUpdate2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

    void AddToList(int ID,int IntegerField,float FloatField,LPCSTR CharField,CTime TimeField);
    void EnableButtons(BOOL On);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGODBC_H)
