// SimpleXMLReaderView.h : interface of the CSimpleXMLReaderView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_SIMPLEXMLREADERVIEW_H__F1CC8836_AB9E_11D2_B5E1_00C04F8A1A06__INCLUDED_)
#define AFX_SIMPLEXMLREADERVIEW_H__F1CC8836_AB9E_11D2_B5E1_00C04F8A1A06__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\..\XmlReader.h"
class CResultDlg;

class CSimpleXMLReaderView : public CEditView
{
	DECLARE_DYNCREATE(CSimpleXMLReaderView)

protected: // create from serialization only
	CSimpleXMLReaderView();

// Attributes
public:
	CSimpleXMLReaderDoc* GetDocument();

// Operations
public:
    void AddChilds(CResultDlg* pDlg, HTREEITEM hItemRoot, const SimpleXMLParser::Element& elem);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSimpleXMLReaderView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSimpleXMLReaderView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CSimpleXMLReaderView)
	afx_msg void OnXmlParse();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in SimpleXMLReaderView.cpp
inline CSimpleXMLReaderDoc* CSimpleXMLReaderView::GetDocument()
   { return (CSimpleXMLReaderDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SIMPLEXMLREADERVIEW_H__F1CC8836_AB9E_11D2_B5E1_00C04F8A1A06__INCLUDED_)
